# Examples

This directory includes a list of examples outlining how to use various features
of the Snazzy Info Window library.

## simple

One marker with default settings.

![Screenshot][simple-screenshot]

[View live example][simple]

[simple-screenshot]: simple/screenshot.png "Simple Example Screenshot"
[simple]: https://rawgit.com/atmist/snazzy-info-window/master/examples/simple/index.html

## multiple-markers

Multiple markers with different placements.

![Screenshot][multiple-screenshot]

[View live example][multiple]

[multiple-screenshot]: multiple-markers/screenshot.png "Multiple Markers Screenshot"
[multiple]: https://rawgit.com/atmist/snazzy-info-window/master/examples/multiple-markers/index.html

## dynamic-content

Content which is loaded using a handlebars template and updated through an interval.

![Screenshot][dynamic-content-screenshot]

[View live example][dynamic-content]

[dynamic-content-screenshot]: dynamic-content/screenshot.png "Dynamic Content Screenshot"
[dynamic-content]: https://rawgit.com/atmist/snazzy-info-window/master/examples/dynamic-content/index.html

## set-position

Change the position of the info window by clicking on the map.

![Screenshot][set-position-screenshot]

[View live example][set-position]

[set-position-screenshot]: set-position/screenshot.png "Set Position Screenshot"
[set-position]: https://rawgit.com/atmist/snazzy-info-window/master/examples/set-position/index.html

## scss-styles

Styling the Snazzy Info Window with SCSS.

![Screenshot][scss-styles-screenshot]

[View live example][scss-styles]

[scss-styles-screenshot]: scss-styles/screenshot.png "SCSS Styles Screenshot"
[scss-styles]: https://rawgit.com/atmist/snazzy-info-window/master/examples/scss-styles/index.html

## js-styles

Styling the Snazzy Info Window with JavaScript options.

![Screenshot][js-styles-screenshot]

[View live example][js-styles]

[js-styles-screenshot]: js-styles/screenshot.png "JavaScript Options Screenshot"
[js-styles]: https://rawgit.com/atmist/snazzy-info-window/master/examples/js-styles/index.html

## complex-styles

Complex styling with a mix of SCSS and Javascript.

![Screenshot][complex-styles-screenshot]

[View live example][complex-styles]

[complex-styles-screenshot]: complex-styles/screenshot.png "JavaScript Options Screenshot"
[complex-styles]: https://rawgit.com/atmist/snazzy-info-window/master/examples/complex-styles/index.html
